<?php
/*
 * Plugin Name: Search Posts Only
 * Description: Force WordPress to only search for posts, and exclude pages.
 * Version: 1.0
 * Author: SaneChoice Limited
 * Author URI: https://www.sanechoice.cloud/
 */

function searchfilter($query) {
    if ($query->is_search && !is_admin() ) {
        $query->set('post_type',array('post'));
    }
return $query;
}
add_filter('pre_get_posts','searchfilter');
